XMLTransService Class Referenceabstract

`#include <xercesc/util/TransService.hpp>`

Inheritance diagram for XMLTransService:

## Classes

struct | TransRec

## Public Types

enum | Codes { Ok , UnsupportedEncoding , InternalFailure , SupportFilesNotFound }

## Public Member Functions

virtual | ~XMLTransService ()
XMLTranscoder * | makeNewTranscoderFor (const XMLCh *const encodingName, XMLTransService::Codes &resValue, const XMLSize_t blockSize, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
XMLTranscoder * | makeNewTranscoderFor (const char *const encodingName, XMLTransService::Codes &resValue, const XMLSize_t blockSize, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
XMLTranscoder * | makeNewTranscoderFor (XMLRecognizer::Encodings encodingEnum, XMLTransService::Codes &resValue, const XMLSize_t blockSize, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
virtual int | compareIString (const XMLCh *const comp1, const XMLCh *const comp2)=0
virtual int | compareNIString (const XMLCh *const comp1, const XMLCh *const comp2, const XMLSize_t maxChars)=0
virtual const XMLCh * | getId () const =0
virtual XMLLCPTranscoder * | makeNewLCPTranscoder (MemoryManager *manager)=0
virtual bool | supportsSrcOfs () const =0
virtual void | upperCase (XMLCh *const toUpperCase)=0
virtual void | lowerCase (XMLCh *const toLowerCase)=0
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new.
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation.
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new.
void | operator delete (void *p)
| This method overrides operator delete.
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new.
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new.

## Static Public Member Functions

static void | addEncoding (const XMLCh *const encoding, ENameMap *const ownMapping)

## Protected Member Functions

| XMLTransService ()
virtual XMLTranscoder * | makeNewXMLTranscoder (const XMLCh *const encodingName, XMLTransService::Codes &resValue, const XMLSize_t blockSize, MemoryManager *const manager)=0
virtual void | initTransService ()
Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor.

## Static Protected Attributes

static RefHashTableOf< ENameMap > * | gMappings
static RefVectorOf< ENameMap > * | gMappingsRecognizer

## Friends

class | XMLPlatformUtils
class | XMLInitializer

## Member Enumeration Documentation

## Codes

enum XMLTransService::Codes

Enumerator
Ok |
UnsupportedEncoding |
InternalFailure |
SupportFilesNotFound |

## Constructor & Destructor Documentation

## ~XMLTransService()

virtual XMLTransService::~XMLTransService | ( |  | ) |

virtual

## XMLTransService()

XMLTransService::XMLTransService | ( |  | ) |

protected

## Member Function Documentation

## addEncoding()

static void XMLTransService::addEncoding | ( | const XMLCh *const | encoding,
|  | ENameMap *const | ownMapping )

static

## compareIString()

virtual int XMLTransService::compareIString | ( | const XMLCh *const | comp1,
|  | const XMLCh *const | comp2 )

pure virtual

## compareNIString()

virtual int XMLTransService::compareNIString | ( | const XMLCh *const | comp1,
|  | const XMLCh *const | comp2,
|  | const XMLSize_t | maxChars )

pure virtual

## getId()

virtual const XMLCh * XMLTransService::getId | ( |  | ) | const

pure virtual

## initTransService()

virtual void XMLTransService::initTransService | ( |  | ) |

protected virtual

## lowerCase()

virtual void XMLTransService::lowerCase | ( | XMLCh *const | toLowerCase | ) |

pure virtual

## makeNewLCPTranscoder()

virtual XMLLCPTranscoder * XMLTransService::makeNewLCPTranscoder | ( | MemoryManager * | manager | ) |

pure virtual

## makeNewTranscoderFor() [1/3]

XMLTranscoder * XMLTransService::makeNewTranscoderFor | ( | const char *const | encodingName,
|  | XMLTransService::Codes & | resValue,
|  | const XMLSize_t | blockSize,
|  | MemoryManager *const | manager = XMLPlatformUtils::fgMemoryManager )

## makeNewTranscoderFor() [2/3]

XMLTranscoder * XMLTransService::makeNewTranscoderFor | ( | const XMLCh *const | encodingName,
|  | XMLTransService::Codes & | resValue,
|  | const XMLSize_t | blockSize,
|  | MemoryManager *const | manager = XMLPlatformUtils::fgMemoryManager )

## makeNewTranscoderFor() [3/3]

XMLTranscoder * XMLTransService::makeNewTranscoderFor | ( | XMLRecognizer::Encodings | encodingEnum,
|  | XMLTransService::Codes & | resValue,
|  | const XMLSize_t | blockSize,
|  | MemoryManager *const | manager = XMLPlatformUtils::fgMemoryManager )

## makeNewXMLTranscoder()

virtual XMLTranscoder * XMLTransService::makeNewXMLTranscoder | ( | const XMLCh *const | encodingName,
|  | XMLTransService::Codes & | resValue,
|  | const XMLSize_t | blockSize,
|  | MemoryManager *const | manager )

protected pure virtual

## supportsSrcOfs()

virtual bool XMLTransService::supportsSrcOfs | ( |  | ) | const

pure virtual

## upperCase()

virtual void XMLTransService::upperCase | ( | XMLCh *const | toUpperCase | ) |

pure virtual

## Friends And Related Symbol Documentation

## XMLInitializer

friend class XMLInitializer

friend

## XMLPlatformUtils

friend class XMLPlatformUtils

friend

## Member Data Documentation

## gMappings

RefHashTableOf<ENameMap>* XMLTransService::gMappings

static protected

## gMappingsRecognizer

RefVectorOf<ENameMap>* XMLTransService::gMappingsRecognizer

static protected

The documentation for this class was generated from the following file:

- TransService.hpp